VUMI Scripts for datawinners
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
.gitignore
README.rst
supervisord.datawinner.conf
vumi.pp

README.rst

Installing Vumi with VirtualBox and Vagrant

The easiest way to get Vumi up & running is by using VirtualBox and Vagrant:

  1. Install VirtualBox
  2. Install Vagrant, make sure you follow the OS specific instructions.
  3. Clone Vumi with git clone https://github.com/praekelt/vumi.git
  4. Execute cd vumi
  5. Datawinner configuration
    1. Clone datawinner vumi scripts with git://github.com/mangroveorg/vumiscripts.git in some other directory
    2. copy vumiscripts/vumi.pp to vumi/puppet/manifests/vumi.pp
    3. copy vumiscripts/supervisord.datawinner.conf to vumi/supervisord.datawinner.conf
    4. copy datawinner_airtel_mad_1_smpp.yaml and datawinner_airtel_mad_2_smpp.yaml to vumi/config directory
    5. Change the POST_TO_URL in datawinner_airtel_mad_1_smpp.yaml & datawinner_airtel_mad_1_smpp.yaml to point to datawinner webserver
  6. Execute vagrant up, this will take some time to complete as it
    1. Downloads a 480MB Ubuntu 10.04 server VM
    2. Downloads ~ 40MB worth of Python packages
    3. Downloads ~ 100MB worth of packages with apt-get
  7. Go to http://localhost:7000/admin and log in with username vumi and password vumi for the Django based webapp.
  8. Go to http://localhost:7010 for the Supervisord web based management
  9. Go to http://localhost:7011 for the SMSC simulator console.

Note

Ubuntu 10.04 only provides version 1.3.5 of RubyGems while Vagrant requires version 1.3.6. You'll need to get an upstream version or install from source as per the OS specific instructions.

Note

Ubuntu doesn't put vagrant on your $PATH, you'll need to manually symlink it with sudo ln -s /var/lib/gems/1.8/bin/vagrant /usr/bin/